# poptItem_s Struct Reference
[POPT.]

`#include <popt.h>`

## Data Fields

poptOption | option
int | argc
const char ** | argv

## Detailed Description

A popt alias or exec argument for poptAddItem().

Definition at line 178 of file popt.h.

## Field Documentation

int poptItem_s::argc

| (alias) no. of args. Definition at line 180 of file popt.h. Referenced by execCommand(), handleAlias(), and poptAddItem().

const char** poptItem_s::argv

| (alias) args, must be free()able. Definition at line 181 of file popt.h. Referenced by execCommand(), handleAlias(), poptAddItem(), and poptFreeContext().

struct poptOption poptItem_s::option

| alias/exec name(s) and description. Definition at line 179 of file popt.h. Referenced by handleAlias(), handleExec(), itemUsage(), poptAddItem(), and poptFreeContext().

The documentation for this struct was generated from the following file:

- popt/popt.h